[Commented] (MJAVADOC-485) Upgrade to commons-lang3

Previous Topic Next Topic
 
classic Classic list List threaded Threaded
1 message Options
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

[Commented] (MJAVADOC-485) Upgrade to commons-lang3

JIRA jira@apache.org

    [ https://issues.apache.org/jira/browse/MJAVADOC-485?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=16090324#comment-16090324 ]

Hudson commented on MJAVADOC-485:
---------------------------------

FAILURE: Integrated in Jenkins build maven-plugins #9039 (See [https://builds.apache.org/job/maven-plugins/9039/])
[MJAVADOC-485] Upgrade to commons-lang3
Use SystemUtils.JAVA_SPECIFICATION_VERSION instead of SystemUtils.JAVA_VERSION
JavadocVersion is not aware of the -ea suffix, so spec-value is safer (rfscholte: [http://svn.apache.org/viewvc/?view=rev&rev=1802186])
* (edit) maven-javadoc-plugin/src/main/java/org/apache/maven/plugins/javadoc/AbstractJavadocMojo.java


> Upgrade to commons-lang3
> ------------------------
>
>                 Key: MJAVADOC-485
>                 URL: https://issues.apache.org/jira/browse/MJAVADOC-485
>             Project: Maven Javadoc Plugin
>          Issue Type: Dependency upgrade
>    Affects Versions: 2.10.4
>            Reporter: Philippe Marschall
>            Assignee: Robert Scholte
>             Fix For: 3.0.0
>
>
> The plugin is currently on commons-lang 2.6, the most recent version is 3.6.
> [The upgrade |https://commons.apache.org/proper/commons-lang/article3_0.html] is fairly trivial expect one point, {{SystemUtils.JAVA_VERSION_FLOAT}} is no longer available. For some parts there are easy fixes but for {{AbstractJavadocMojo}} the simplest fix seemed to use {{JavadocUtil#parseJavadocVersion(String)}}.



--
This message was sent by Atlassian JIRA
(v6.4.14#64029)
Loading...